# class RTPProcessor | Base class to ease creation of RTP forwarders. More...
Contains pure virtuals
Full name | `TelEngine::RTPProcessor`
Definition | `#include <libs/yrtp/yatertp.h>`
Inherits | TelEngine::GenObject [public ]
Inherited by | RTPDejitter, RTPSession, RTPTransport, UDPSession, UDPTLSession
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- RTPProcessor ()
- virtual ~RTPProcessor ()
- inline RTPGroup* group () const
- virtual void rtpData (const void* data, int len)
- virtual void rtcpData (const void* data, int len)
- virtual void getStats (String& stats) const
- virtual inline void incWrongSrc ()
- inline unsigned int wrongSrc ()

#### Protected Methods

- void group (RTPGroup* newgrp)
- virtual void timerTick (const Time& when)

#### Protected Members

- unsigned int m_wrongSrc

## Detailed Description

A base class that contains just placeholders to process raw RTP and RTCP packets.

RTPProcessor () | ### RTPProcessor

Constructor - processor should be later inserted in a RTP group

~RTPProcessor () | ### ~RTPProcessor

[virtual]

Destructor - removes itself from the RTP group

inline RTPGroup* group () | ### group

[const]

Get the RTP group to which this processor belongs

Returns: Pointer to the RTP group this processor has joined

void rtpData (const void* data, int len) | ### rtpData

[virtual]

This method is called to send or process a RTP packet

Parameters:

data | Pointer to raw RTP data
len | Length of the data packet

void rtcpData (const void* data, int len) | ### rtcpData

[virtual]

This method is called to send or process a RTCP packet

Parameters:

data | Pointer to raw RTCP data
len | Length of the data packet

void getStats (String& stats) | ### getStats

[const virtual]

Retrieve MGCP P: style comma separated session parameters

Parameters:

stats | String to append parameters to

inline void incWrongSrc () | ### incWrongSrc

[virtual]

Increase the counter for number of RTP packets received from a wrong source

inline unsigned int wrongSrc () | ### wrongSrc

Get the number of RTP packets that were received from a wrong source

Returns: Number of RTP packets received from a wrong source

void group (RTPGroup* newgrp) | ### group

[protected]

Set a new RTP group for this processor

Parameters:

newgrp | New group to join this processor, the old one will be left

void timerTick (const Time& when) | ### timerTick

[protected pure virtual]

Method called periodically to keep the data flowing

Parameters:

when | Time to use as base in all computing

unsigned int m_wrongSrc | ### m_wrongSrc

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.